CocoaTweet::API::Statuses::Destroy Class Reference

class for using status/destroy:id endpoint More...

`#include <destroy.h>`

Inheritance diagram for CocoaTweet::API::Statuses::Destroy:
[legend]
Collaboration diagram for CocoaTweet::API::Statuses::Destroy:
[legend]

## Public Member Functions

| Destroy ()
| primary constructor More...
void | id (const std::string _id)
| set tweet id to destroy More...
CocoaTweet::API::Model::Tweet | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| process request for endpoint More...

## Additional Inherited Members

Protected Member Functions inherited from CocoaTweet::API::Interface::HttpPost
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...
Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Detailed Description

class for using status/destroy:id endpoint

## Constructor & Destructor Documentation

## Destroy()

CocoaTweet::API::Statuses::Destroy::Destroy | ( |  | ) |

primary constructor

## Member Function Documentation

## id()

void CocoaTweet::API::Statuses::Destroy::id | ( | const std::string | _id | ) |

set tweet id to destroy

Parameters

  [in] | std::string | _id : tweet id which should be destroy
  [out] | none |

## process()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Destroy::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

process request for endpoint

Parameters

  [in] | std::weak_ptr<CocoaTweet::OAuth::OAuth1> | _oauth : pointer to oauth object
  [out] | CocoaTweet::API::Model::Tweet | : request result

The documentation for this class was generated from the following files:

- src/cocoatweet/api/status/destroy.h
- src/cocoatweet/api/status/destroy.cc